Package org.eclipse.net4j.util.fsm

# Class FiniteStateMachine.StateChangedEvent

java.lang.Object
org.eclipse.net4j.util.fsm.FiniteStateMachine.StateChangedEvent

All Implemented Interfaces:
  `IEvent`

Enclosing class:
  `FiniteStateMachine<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT>`

public class FiniteStateMachine.StateChangedEvent extends Object implements IEvent

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`StateChangedEvent(Object subject, Enum<?> oldState, Enum<?> newState)`

## Method Summary

Modifier and Type
Method
Description
`Enum<?>`
`getNewState()`
`Enum<?>`
`getOldState()`
`INotifier`
`getSource()`
`Object`
`getSubject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateChangedEvent

public StateChangedEvent(Object subject, Enum<?> oldState, Enum<?> newState)

## Method Details

### getSource

public INotifier getSource()

Specified by:
  `getSource` in interface `IEvent`

### getSubject

public Object getSubject()

### getOldState

public Enum<?> getOldState()

### getNewState

public Enum<?> getNewState()